Bug 194150 - Periodic Error: Mismatched response message ID with OOP enabled
Periodic Error: Mismatched response message ID with OOP enabled
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 18:52 EDT by Denise Eckstein
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 12:17:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denise Eckstein 2006-06-05 18:52:36 EDT
Description of problem:

In an extreme case where an OOP provider returns a response chunk before the 
cimserver completes its request sending logic, a message mismatch error may 
occur in the chunk handling code.  See OpenPegasus bugzilla 5057 for 
additional details and proposed fix. 
http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5057

Version-Release number of selected component (if applicable):
tog-pegasus-2.5.1-1.EL4

How reproducible:

Problem was occassionally seen running multiple TestClient instances. The 
cimserver was started with forceProviderProcesses=true.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

One or more TestClient failed with the following error:

++++ Test Class Operations ++++
Class total count before and after test. Before = 90 after = 90
In 0.308131 Seconds

++++ Test Instance Get Operations ++++
1213 Classes found
Class CIM_ComputerSystem 1 Instances
Class PG_ComputerSystem 1 Instances
Error: Mismatched response message ID:  Got "0x2a98abedd0", expected "1307".

Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-06-07 15:13:31 EDT
Yes, this is fixed with the patch for upstream bug 5072 that went into 
tog-pegasus-2.5.1-2.EL4, tog-pegasus-2.5.1-6.FC6, and tog-pegasus-2.5.1-5.FC5. 
Comment 2 Denise Eckstein 2006-06-07 20:32:29 EDT
Thanks!
Comment 4 Bill Nottingham 2006-11-22 12:17:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0474.html

Note You need to log in before you can comment on or make changes to this bug.